## python-tldap 0.3.12

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Karaage.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Karaage.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Karaage"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Karaage"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-tldap (0.3.12-1) unstable; urgency=medium

  * Fix FTBFS issues. #796756.
  * Update git repository location.

 -- Brian May <bam@debian.org>  Mon, 24 Aug 2015 20:38:56 +1000

python-tldap (0.3.11-1) unstable; urgency=medium

  * Fix ds389 account locking/unlocking.
  * Define new LOCKED_ROLE setting for ds389.

 -- Brian May <bam@debian.org>  Thu, 11 Jun 2015 11:05:00 +1000

python-tldap (0.3.10-1) unstable; urgency=medium

  * Fix TLS configuration. Will break existing setups if validation fails.
  * python3-ldap renamed to ldap3 upstream.

 -- Brian May <bam@debian.org>  Fri, 20 Feb 2015 11:06:51 +1100

python-tldap (0.3.9-1) unstable; urgency=medium

  * Various bug fixes.

 -- Brian May <bam@debian.org>  Thu, 19 Feb 2015 11:40:53 +1100

python-tldap (0.3.8-1) unstable; urgency=low

  * Works with python3-ldap 0.9.6.2.
  * Don't use depreciated django.utils.importlib.
  * Update standards version to 3.9.6.

 -- Brian May <bam@debian.org>  Tue, 18 Nov 2014 13:05:45 +1100

python-tldap (0.3.7-1) unstable; urgency=low

  * Add more read only attributes.
  * Add Django 1.7 migration.

 -- Brian May <bam@debian.org>  Tue, 09 Sep 2014 10:55:51 +1000

python-tldap (0.3.6-1) unstable; urgency=low

  * Rename migrations to south_migrations.
  * Add groupOfNames objectClass.
  * hasSubordinates is read only attribute.

 -- Brian May <bam@debian.org>  Mon, 08 Sep 2014 09:39:56 +1000

python-tldap (0.3.5-1) unstable; urgency=low

  * Update override_dh_auto_test.
  * Really fix debian/copyright file.

 -- Brian May <bam@debian.org>  Thu, 07 Aug 2014 09:36:38 +1000

python-tldap (0.3.4-1) unstable; urgency=low

  * Don't die if default LDAP server not configured.

 -- Brian May <bam@debian.org>  Tue, 15 Jul 2014 14:19:16 +1000

python-tldap (0.3.3-1) unstable; urgency=low

  * Fix typo.
  * Remove hard dependency on Django.
  * Rename source project.
  * Move ldap_passwd from tldap.methods.
  * Fix Debian copyright.
  * Retry upload to Debian. Closes: #753482.

 -- Brian May <bam@debian.org>  Mon, 14 Jul 2014 12:29:10 +1000

django-tldap (0.3.2-1) unstable; urgency=low

  * Fix PEP8 issues.
  * FIx close() undefined error, python-ldap3 0.9.4.2
  * Trick pep8 into ignoring E721.
  * Revert "Copy escape_bytes function from ldap3."

 -- Brian May <bam@debian.org>  Wed, 09 Jul 2014 16:21:02 +1000

django-tldap (0.3.1-1) unstable; urgency=low

  * Add link to homepage.
  * Remove unneeded file.
  * New release for Debian.
  * Add Vcs headers.
  * Declare Python 3 compatible.
  * Fix __unicode__ string methods for Python 3.
  * Don't connect to LDAP until we need to.
  * Python 3 tests.
  * PEP8 fixes.
  * Run flake8 tests during build.

 -- Brian May <bam@debian.org>  Sun, 06 Jul 2014 11:27:08 +1000

django-tldap (0.3.0-2) unstable; urgency=low

  * Minor changes to Debian packaging.

 -- Brian May <bam@debian.org>  Thu, 03 Jul 2014 10:44:33 +1000

django-tldap (0.3.0-1) unstable; urgency=low

  * Python3 support.
  * Python3 package.

 -- Brian May <bam@debian.org>  Tue, 01 Jul 2014 11:38:35 +1000

django-tldap (0.2.17-1) unstable; urgency=low

  * Replace USE_TLS setting with REQUIRE_TLS and START_TLS settings.
    Old USE_TLS setting will no longer work.

 -- Brian May <bam@debian.org>  Fri, 28 Mar 2014 13:18:22 +1100

django-tldap (0.2.16-1) unstable; urgency=low

  * New release.
  * Fix PEP8 style issues.
  * Replace ldap_passwd with passlib code.
  * Testing: check LDAP port not already in use.

 -- Brian May <bam@debian.org>  Mon, 24 Mar 2014 14:30:39 +1100

django-tldap (0.2.15-1) unstable; urgency=low

  * Move tests to tldap.tests.
  * Update Python packaging.
  * Update documentation.

 -- Brian May <bam@debian.org>  Tue, 11 Mar 2014 10:00:39 +1100

django-tldap (0.2.14-1) unstable; urgency=low

  * Support moving objects in LDAP tree.
  * Fix replaces/breaks header for upgrades from legacy package.

 -- Brian May <bam@debian.org>  Mon, 17 Feb 2014 13:27:59 +1100

django-tldap (0.2.13-1) unstable; urgency=low

  * Initial documentation.
  * Make transactions operate on all connections by default.
  * Remove obsolete functions.

 -- Brian May <bam@debian.org>  Wed, 05 Feb 2014 09:09:55 +1100

django-tldap (0.2.12-1) unstable; urgency=low

  * Use dh_python2 for packaging.

 -- Brian May <bam@debian.org>  Tue, 28 Jan 2014 11:55:31 +1100

django-tldap (0.2.11-1) unstable; urgency=low

  * Fix bug in samba specific function.
  * Works with no LDAP servers configured.

 -- Brian May <bam@debian.org>  Tue, 21 Jan 2014 12:46:54 +1100

django-tldap (0.2.10-1) unstable; urgency=low

  * Bug fixes.

 -- Brian May <bam@debian.org>  Tue, 17 Dec 2013 14:40:16 +1100

django-tldap (0.2.9-1) unstable; urgency=low

  * Update referenced backend names.
  * Rewrite method functions.
  * Fix creating gid and uid for different servers.
  * Updates to 389 support.

 -- Brian May <bam@debian.org>  Wed, 14 Aug 2013 13:51:00 +1000

django-tldap (0.2.8-1) unstable; urgency=low

  * Rename backends.
    tldap.backend.transaction to tldap.backend.fake_transactions
    tldap.backend.python to tldap.backend.no_transactions
  * Remove prefixes from LDAP names.

 -- Brian May <bam@debian.org>  Fri, 26 Jul 2013 16:01:07 +1000

django-tldap (0.2.7-1) unstable; urgency=low

  * New methods submodule, moved from placard schema.
  * Add depends on python-ldap.
  * Fix LDAP bind if connection failed.
  * Fix md5-crypt password comparison.
  * Write LDAP entries to ldif_writer.

 -- Brian May <bam@debian.org>  Thu, 18 Jul 2013 14:04:43 +1000

django-tldap (0.2.6-1) unstable; urgency=low

  * Tests: Purge environment when calling slapd.
  * Update description to reflect what tldap does.

 -- Brian May <bam@debian.org>  Mon, 27 May 2013 09:31:04 +1000

django-tldap (0.2.5-2) unstable; urgency=low

  * Transition to dh_python2.
    http://wiki.debian.org/Python/TransitionToDHPython2

 -- Brian May <bam@debian.org>  Thu, 09 May 2013 14:05:49 +1000

django-tldap (0.2.5-1) unstable; urgency=low



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=tldap

%:
	dh $@ --with sphinxdoc,python2,python3 --buildsystem=pybuild

.PHONY: override_dh_auto_build
override_dh_auto_build:
	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html
	dh_auto_build

.PHONY: override_dh_clean
override_dh_clean:
	dh_clean
	rm -rf docs/.build docs/_build

.PHONY: override_dh_auto_test
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	./run_tests.sh
endif

## python-tldap 0.3.15

=== debian/changelog ===
python-tldap (0.3.15-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Sun, 10 Jan 2016 14:38:18 +1100

python-tldap (0.3.14-1) unstable; urgency=medium

  * Don't include docs directory in package. Closes: #804643.

 -- Brian May <bam@debian.org>  Tue, 10 Nov 2015 20:24:15 +1100

python-tldap (0.3.13-2) unstable; urgency=medium

  * Ensure tests run for Python3.4 and Python3.5.

 -- Brian May <bam@debian.org>  Mon, 26 Oct 2015 13:13:29 +1100

python-tldap (0.3.13-1) unstable; urgency=medium

  * Fix FTBFS issues. Closes: #801943

 -- Brian May <bam@debian.org>  Sun, 18 Oct 2015 13:50:59 +1100

=== debian/control ===
Source: python-tldap
Section: python
Priority: optional
Maintainer: Brian May <bam@debian.org>
Build-Depends: debhelper (>= 8.1.0), dh-python, slapd, ldap-utils,
 python-flake8,
 python-all (>= 2.6.6-3~), python-setuptools, python-six, python-pyasn1,
 python-passlib, python-ldap3 (>= 0.9.7.1), python-django (>= 1.2.1),
 python3-all, python3-setuptools, python3-six,
 python3-passlib, python3-ldap3 (>= 0.9.7.1), python3-django, python3-pyasn1,
Build-Depends-Indep: python3-sphinx (>= 1.0.7+dfsg-1~)
Standards-Version: 3.9.6
X-Python-Version: >= 2.7
Homepage: https://github.com/brianmay/python-tldap
Vcs-Git: git://github.com/brianmay/python-tldap-debian
Vcs-Browser: https://github.com/brianmay/python-tldap-debian

Package: python-tldap
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Replaces: django-tldap (<< 0.2.13)
Breaks: django-tldap (<< 0.2.13)
Description: High level python LDAP Library
 TLDAP is a high level LDAP library for Python 2 that users django-db like
 models to define LDAP schemas that can then be used in an easy way from Python
 code.  It also supports fake LDAP transactions, to try and ensure LDAP database
 remains in a consistent state, even if there are errors that cause the
 transaction to fail.

Package: python3-tldap
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: High level python LDAP Library
 TLDAP is a high level LDAP library for Python 3 that users django-db like
 models to define LDAP schemas that can then be used in an easy way from Python
 code.  It also supports fake LDAP transactions, to try and ensure LDAP database
 remains in a consistent state, even if there are errors that cause the
 transaction to fail.

Package: python-tldap-doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Section: doc
Description: High level python LDAP Library
 TLDAP is a high level LDAP library for Python that users django-db like models
 to define LDAP schemas that can then be used in an easy way from Python code.
 It also supports fake LDAP transactions, to try and ensure LDAP database
 remains in a consistent state, even if there are errors that cause the
 transaction to fail.
 .
 This package contains the documentation.

Package: django-tldap
Depends: python-tldap, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: High level python LDAP Library (transitional package)
 This is a dummy package to aid switching to python-tldap.

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,5 @@
 
 .PHONY: override_dh_auto_test
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	./run_tests.sh
-endif
+	flake8 .
+	dh_auto_test -- --system=custom --test-args="{interpreter} setup.py test"

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/python-tldap/python-tldap-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
